## mx4j.tools.remote.soap.axis.ser
Class NotificationFilterSupportSer

    java.lang.Object
      mx4j.tools.remote.soap.axis.ser.AxisSerializer
          mx4j.tools.remote.soap.axis.ser.NotificationFilterSupportSer

All Implemented Interfaces:
  java.io.Serializable, org.apache.axis.encoding.Serializer, javax.xml.rpc.encoding.Serializer

Direct Known Subclasses:
  MBeanServerNotificationFilterSer

public class NotificationFilterSupportSer
extends AxisSerializer

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class mx4j.tools.remote.soap.axis.ser.AxisSerializer
`SCHEMA_ALL, SCHEMA_COMPLEX_TYPE, SCHEMA_ELEMENT, SCHEMA_SEQUENCE`

Constructor Summary
`NotificationFilterSupportSer()`

Method Summary
`protected void` `onSerialize(org.apache.axis.encoding.SerializationContext context, javax.management.NotificationFilterSupport filter)`
`void` `serialize(javax.xml.namespace.QName name, org.xml.sax.Attributes attributes, java.lang.Object value, org.apache.axis.encoding.SerializationContext context)`
`org.w3c.dom.Element` `writeSchema(java.lang.Class javaType, org.apache.axis.wsdl.fromJava.Types types)`

Methods inherited from class mx4j.tools.remote.soap.axis.ser.AxisSerializer
`getMechanismType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationFilterSupportSer

    public NotificationFilterSupportSer()

Method Detail

### serialize

    public void serialize(javax.xml.namespace.QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          org.apache.axis.encoding.SerializationContext context)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### onSerialize

    protected void onSerialize(org.apache.axis.encoding.SerializationContext context,
                               javax.management.NotificationFilterSupport filter)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeSchema

    public org.w3c.dom.Element writeSchema(java.lang.Class javaType,
                                           org.apache.axis.wsdl.fromJava.Types types)
                                    throws java.lang.Exception

  Specified by:
    `writeSchema` in interface `org.apache.axis.encoding.Serializer`
  Overrides:
    `writeSchema` in class `AxisSerializer`
  Throws:
    `java.lang.Exception`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.